      PROGRAM TEMPS
************************************************************************
* Program to convert a temperature of CELS degrees on the Celsius      *
* scale to the corresponding temperature on the Fahrenheit scale.      *
* Variables used are:                                                  *
*     CELS   :  temperature on the Celsius scale                       *
*     FAHREN :  temperature on the Fahrenheit scale                    *
*                                                                      *
* Input:  CELS                                                         *
* Output: FAHREN                                                       *
************************************************************************

      REAL CELS, FAHREN

* Obtain Celsius temperature
      PRINT *, 'ENTER TEMPERATURE IN DEGREES CELSIUS:'
      READ *, CELS

* Calculate corresponding Fahrenheit temperature
      FAHREN = 1.8 * CELS + 32.0

* Display FAHREN
      PRINT *, 'FAHRENHEIT TEMPERATURE IS', FAHREN

      END
